Update Procedure
curl --request PUT \
--url https://api.proced.ai/procedures/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Proced AI title",
"priority": "MEDIUM",
"content": "Procedure content goes here.",
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"dueAt": "2024-09-22T22:00:00.000Z",
"projectId": "cm2uj5ffn001x7xtag73jmpx0"
}
'import requests
url = "https://api.proced.ai/procedures/{id}"
payload = {
"name": "Proced AI title",
"priority": "MEDIUM",
"content": "Procedure content goes here.",
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"dueAt": "2024-09-22T22:00:00.000Z",
"projectId": "cm2uj5ffn001x7xtag73jmpx0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Proced AI title',
priority: 'MEDIUM',
content: 'Procedure content goes here.',
categoryId: 'cm2uqwcpd002s7xta3b1j8q3p',
doerId: 'cm2uj5ffn001x7xtag73jmpx0',
dueAt: '2024-09-22T22:00:00.000Z',
projectId: 'cm2uj5ffn001x7xtag73jmpx0'
})
};
fetch('https://api.proced.ai/procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cm0upgshc000rwf5eop1u2awr",
"name": "Proced AI title",
"priority": "MEDIUM",
"state": "TODO",
"creatorId": "cm2uj5ffn001x7xtag73jmpx0",
"position": 1,
"dueAt": "2024-09-22T22:00:00.000Z",
"createdAt": "2024-09-22T22:00:00.000Z",
"updatedAt": "2024-09-22T22:00:00.000Z",
"projectId": "cm2uj5ffn001x7xtag73jmpx0",
"workspaceId": "cm2uj5ffn001x7xtag73jmpx0",
"displayVideo": true,
"isFineTunedData": false,
"shortId": "cm0upgshc000rwf5eop1u2awr",
"content": "Procedure content goes here.",
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"captureId": "cm2uqwcpd002s7xta3b1j8q3p",
"category": {
"id": "<string>",
"name": "<string>"
},
"doer": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"comments": [
{
"id": "<string>",
"text": "<string>",
"createdAt": "<string>"
}
]
}{
"code": "disconnected",
"message": "The login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information.",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Procedures
Update Procedure
PUT
/
procedures
/
{id}
Update Procedure
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"cm0upgshc000rwf5eop1u2awr"
Body
application/json
Example:
"Proced AI title"
Available options:
LOW, MEDIUM, HIGH Example:
"MEDIUM"
Example:
"Procedure content goes here."
Example:
"cm2uqwcpd002s7xta3b1j8q3p"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Example:
"2024-09-22T22:00:00.000Z"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Response
Update procedure
Example:
"cm0upgshc000rwf5eop1u2awr"
Example:
"Proced AI title"
Available options:
LOW, MEDIUM, HIGH Example:
"MEDIUM"
Available options:
TODO, IN_PROGRESS, COMPLETED, WAITING Example:
"TODO"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Example:
1
Example:
"2024-09-22T22:00:00.000Z"
Example:
"2024-09-22T22:00:00.000Z"
Example:
"2024-09-22T22:00:00.000Z"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Example:
true
Example:
false
Example:
"cm0upgshc000rwf5eop1u2awr"
Example:
"Procedure content goes here."
Example:
"cm2uqwcpd002s7xta3b1j8q3p"
Example:
"cm2uj5ffn001x7xtag73jmpx0"
Example:
"cm2uqwcpd002s7xta3b1j8q3p"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I